<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="com.censoft.common.base.Pub" %>
<%@ page import="com.censoft.common.db.ConnectionFactory" %>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.util.Hashtable" %>
<%@ page import="java.util.Vector" %>
<%
    ConnectionFactory cf = new ConnectionFactory();
    Pub pub = new Pub();
    Connection conn = null;
    Vector v_list = null;
    Vector v_type_list = null;
    String id = pub.trimNull(request.getParameter("id"));
    String action = pub.trimNull(request.getParameter("action"));
    Hashtable ht = new Hashtable();
    StringBuffer sql = new StringBuffer();
    StringBuffer group_sql = new StringBuffer();
    int listSize=1;
    String login_name = pub.trimNull((String) session.getAttribute("session_login_name"));
    String add_time = pub.getCurrentServerTime();
    try {
        conn = com.censoft.db.DBUtil.getConnection();
        if("update".equals(action)){
            sql.append("select * from zb_ldps where id=?");
            v_list = cf.doQuery(conn, sql.toString(), null, new Object[]{id});
        }
        if (v_list!=null&&v_list.size() > 0) {
            ht = (Hashtable) v_list.get(0);
        }
    } catch (Exception e) {
        out.println("查询用户信息异常" + e);
        return;
    } finally {
        if (conn != null) {
            try {
                conn.close();
            } catch (Exception e) {
            }
        }
    }
%>
<style>
    .input-three {
        width: 22%
    }
    .input-two {
        width: 32%
    }
    .col-sm-2{
        width:14%;
    }
    .col-sm-3{
        width:19%;
    }
    .btn-red{ background-color:red;border: red}
    .btn-green{ background-color:green;border: green}
</style>
<div class="">
    <form class="form form-horizontal" id="form-admin-add">
        <input type="hidden" value="<%=action%>" name="action" id="action">
        <div id="content" class="cl pd-5  bk-gray divOverflow" style="overflow:hidden;margin-bottom: 20px;">
            <div class="row cl">
                <label class="form-label col-xs-4 col-sm-2">
                    <span class="c-red">*</span>发布人&nbsp;：
                </label>
                <div class="formControls col-xs-8 col-sm-10">
                    <input type="text" class="input-text" name="fb_user" id="fb_user" value="<%=login_name%>" >
                </div>
            </div>
            <div class="row cl">
                <label class="form-label col-xs-4 col-sm-2">
                    <span class="c-red">*</span>发布时间&nbsp;：
                </label>
                <div class="formControls col-xs-8 col-sm-10">
                    <input type="text" autocomplete="off" class="input-text Wdate" onclick="WdatePicker({dateFmt:'yyyy-MM-dd'})" name="fb_time" id="fb_time" value="<%=pub.trimNull((String)ht.get("fb_time"))%>" >
                </div>
            </div>
            <div class="row cl">
                <label class="form-label col-xs-4 col-sm-2">
                    <span class="c-red">*</span>指示内容&nbsp;：
                </label>
                <div class="formControls col-xs-8 col-sm-10">
                    <textarea type="text" style="height:80px;" class="input-text" name="zs_content" id="zs_content" value="" ><%=pub.trimNull((String)ht.get("zs_content"))%></textarea>
                </div>
            </div>
            <div class="row cl">
                <label class="form-label col-xs-4 col-sm-2">
                    <span class="c-red">*</span>是否置顶&nbsp;：
                </label>
                <div class="formControls col-xs-8 col-sm-10">
                    <input type="radio" name="is_up" id="is_up_yes" checked="checked" value="1" >
                    是
                    <input type="radio"  name="is_up" id="is_up_no" <%if("0".equals(pub.trimNull((String)ht.get("is_up")))){%>checked="checked"<%}%> value="0" >
                    否
                </div>
            </div>
            <div class="row cl">
                <label class="form-label col-xs-4 col-sm-2">
                    <span class="c-red">*</span>置顶天数&nbsp;：
                </label>
                <div class="formControls col-xs-8 col-sm-10">
                    <input type="text" class="input-text" name="up_day" id="up_day" value="<%=pub.trimNull((String)ht.get("up_day"))%>" >
                </div>
            </div>
        </div>
    </form>
</div>
<div class="cl mb-10  bk-gray " style="height: 50px;<%if("update".equals(action)){%>display:none;<%}%>">
    <div class="col-sm-3 pd-10" style="width:100%;text-align: center;">
        <input class="btn btn-primary radius btn-green" type="button" onclick="javascript:saveForm();" value="&nbsp;&nbsp;发布&nbsp;&nbsp;">
    </div>
</div>
<script>
    function LayerOpen(title, url, w, h) {
        if($("#user_id").val()==''){
            layer.alert("请先保存用户再添加相关人员",{icon:5,title:"提示"});
            return false;
        }
        var abc = layer.open({
            title:title,
            type: 2,
            content: url,
            area: [w, h],
            maxmin: true
         });
        layer.full(abc);
    }
    function viewDeptOrUserInfo(title, url, w, h) {
        location.href=url;
    }
    function saveForm() {
        if($("#fb_user").val()==''){
            layer.alert("发布人不能为空",{icon:5,title:"提示"});
            return false;
        }
        $.ajax({
            type: "POST",
            url: "./action.jsp",
            data: $('#form-admin-add').serialize(),
            success: function (msg) {
                if (msg.indexOf("success") >= 0) {
                    layer.msg('操作成功!', {icon: 1, time: 1000},
                        function () {
                            parent.searchModel();
                            var index = parent.layer.getFrameIndex(window.name);
                            parent.layer.close(index);
                        });
                } else {
                    layer.msg('操作失败', {
                        icon: 5,
                        time: 2000 //2秒关闭（如果不配置，默认是3秒）
                    }, function () {
                        // console.log("********************8")
                    });
                }
            }
        });
    }
    function deleteUser(user_id,p_user_id){
        layer.confirm('确认要删除吗？', function (index) {
			$.ajax({
				type: "POST",
				url: "./action.jsp?&p_user_id="+p_user_id+"&user_id="+user_id+"&action=delete",
				success: function (msg) {
					if (msg.indexOf("success") >= 0) {
						layer.msg('操作成功!', {icon: 1, time: 1000},
							function () {
								location.reload();
								if(rel_user_id!=''){
									window.parent.location.reload();
								}
								parent.searchModel();
							});
					} else {
						layer.msg('操作失败', {
							icon: 5,
							time: 2000 //2秒关闭（如果不配置，默认是3秒）
						}, function () {
							// console.log("********************8")
						});
					}
				}
			});
		});
    }
</script>